<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>cn.newfeifan.sale</groupId>
        <artifactId>feifan-module-sale</artifactId>
        <version>${revision}</version>
    </parent>

    <artifactId>feifan-module-sale-biz</artifactId>
    <packaging>jar</packaging>

    <name>${project.artifactId}</name>
    <url>http://maven.apache.org</url>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>
    <description> <!-- 4. 新增 description 为该模块的描述 -->
        sale 模块，主要实现 商户 店铺 等功能。
    </description>

    <dependencies>
        <dependency>
            <groupId>cn.newfeifan.sale</groupId>
            <artifactId>feifan-module-sale-api</artifactId>
            <version>${revision}</version>
        </dependency>
        <dependency>
            <groupId>cn.newfeifan.zx</groupId>
            <artifactId>feifan-module-system-api</artifactId>
            <version>${revision}</version>
        </dependency>
        <dependency>
            <groupId>cn.newfeifan.zx</groupId>
            <artifactId>feifan-module-infra-api</artifactId>
            <version>${revision}</version>
        </dependency>

        <dependency>
            <groupId>cn.newfeifan.zx</groupId>
            <artifactId>feifan-module-system-biz</artifactId>
            <version>${revision}</version>
        </dependency>

        <dependency>
            <groupId>cn.newfeifan.zx</groupId>
            <artifactId>feifan-module-product-biz</artifactId>
            <version>${revision}</version>
        </dependency>

        <dependency>
            <groupId>cn.newfeifan.zx</groupId>
            <artifactId>feifan-module-trade-biz</artifactId>
            <version>${revision}</version>
        </dependency>

        <!-- 业务组件 -->
        <dependency>
            <groupId>cn.newfeifan.zx</groupId>
            <artifactId>feifan-spring-boot-starter-biz-operatelog</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.newfeifan.zx</groupId>
            <artifactId>feifan-spring-boot-starter-biz-tenant</artifactId>
        </dependency>

        <!-- Web 相关 -->
        <dependency>
            <groupId>cn.newfeifan.zx</groupId>
            <artifactId>feifan-spring-boot-starter-security</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-validation</artifactId>
        </dependency>

        <!-- DB 相关 -->
        <dependency>
            <groupId>cn.newfeifan.zx</groupId>
            <artifactId>feifan-spring-boot-starter-mybatis</artifactId>
        </dependency>

        <dependency>
            <groupId>cn.newfeifan.zx</groupId>
            <artifactId>feifan-spring-boot-starter-redis</artifactId>
        </dependency>

        <!-- 消息队列相关 -->
        <dependency>
            <groupId>cn.newfeifan.zx</groupId>
            <artifactId>feifan-spring-boot-starter-mq</artifactId>
        </dependency>

        <!-- Test 测试相关 -->
        <dependency>
            <groupId>cn.newfeifan.zx</groupId>
            <artifactId>feifan-spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>

        <!-- 工具类相关 -->
        <dependency>
            <groupId>cn.newfeifan.zx</groupId>
            <artifactId>feifan-spring-boot-starter-excel</artifactId>
        </dependency>

        <dependency>
            <groupId>cn.newfeifan.zx</groupId>
            <artifactId>feifan-spring-boot-starter-biz-ip</artifactId>
        </dependency>
    </dependencies>
</project>
